#Publican Documentation Specfile
%define RHEL5 %(test %{?dist} == .el5 && echo 1 || echo 0)
%define HTMLVIEW %(test %{RHEL5} == 1 && echo 1 || echo 0)

%define ICONS 1

%define viewer xdg-open

%if %{HTMLVIEW}
%define viewer htmlview
%define vendor redhat-
%define vendoropt --vendor="redhat"
%endif

Name:         fedora-accessibility-guide-en-US
Version:      14.0
Release:      4%{?dist}


Summary:       Using Fedora with a visual, hearing, or mobility impairment

Group:         Documentation
License:       CC-BY-SA
URL:           http://docs.fedoraproject.org
Source:        http://sparks.fedorapeople.org/source/%{name}-%{version}-2.tgz
BuildArch:      noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: publican >= 2.5
BuildRequires: desktop-file-utils
BuildRequires:    publican-fedora

%if %{HTMLVIEW}
Requires:    htmlview
%else
Requires:    xdg-utils
%endif



%description

This document describes some of the hardware devices, applications,
and utilities available to assist people with disabilities to use a
computer with the Fedora operating system.

%prep
%setup -q

%build
publican build --nocolours --formats="html-desktop" --langs=en-US

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps

%if %{ICONS}
for icon in `ls icons/*x*.png`; do
  size=`echo "$icon" | sed -e 's/icons\/\(.*\)\.png/\1/'`;
  mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/$size/apps
  cp $icon  $RPM_BUILD_ROOT/usr/share/icons/hicolor/$size/apps/fedora-accessibility-guide-en-US.png;
done
cp icons/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/fedora-accessibility-guide-en-US.svg;
%else
cp en-US/images/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/fedora-accessibility-guide-en-US.svg;
%endif

cat > %{name}.desktop <<'EOF'
[Desktop Entry]
Name=Fedora 14: Accessibility Guide
Comment=Using Fedora with a visual, hearing, or mobility impairment
Exec=%{viewer} %{_docdir}/%{name}-%{version}/index.html
Icon=fedora-accessibility-guide-en-US
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%if %{HTMLVIEW}
desktop-file-install  %{?vendoropt} --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
%else
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
%endif

# Update Icon cache if it exists
%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc tmp/en-US/html-desktop/*
%if %{ICONS}
/usr/share/icons/hicolor/*
%else
/usr/share/icons/hicolor/scalable/apps/fedora-accessibility-guide-en-US.svg
%endif
%if %{HTMLVIEW}
%{_datadir}/applications/%{?vendor}%{name}.desktop
%else
%{_datadir}/applications/%{name}.desktop
%endif

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 14.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 14.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Feb 13 2011 Eric Christensen <sparks@fedoraproject.org> - 14.0-2
- Bumping version number 

* Wed Apr 21 2010 Gerard Ryan <mail.gerardryan@gmail.com> - 0.14-1
- Fixed Revision History 
- Added information on Indic Onscreen Keyboard. 
- Added information on Florence Virtual Keyboard. 
- Added information on Jovie for KDE. 
- Added information on XFCE and Sugar Desktops. 

* Wed Apr 21 2010 Gerard Ryan <mail.gerardryan@gmail.com> - 0.13-1
- Grammar updates. 

* Sat Mar  6 2010 Joseph Allen <bloggersciencewithjoe@gmail.com> - 0.12-1
- Updated section 4.3.2 to fix inconsistent instructions. 

* Sat Nov 28 2009 Eric Christensen <sparks@fedoraproject.org> - 0.11-1
- Commented out Emacspeak sections that still need work. 
- Changed to be the official version for Fedora 12. 

* Sat Nov 28 2009 Susan Lauber <laubersm@fedoraproject.org> - 0.10-1
- Made some minor readability, grammar, and style edits. 
- Added a number of markup additions for consistency. 
- Added information on enabling Orca in GNOME to the Screen_Readers section. 
- Added information on GNOME Magnifier to the Screen_Magnifiers section. 
- Moved On Screen Keyboards to their own section to clean up Other Tools. 
- Added information on gok (GNOME On-Screen Keyboard). 

* Sun Nov 22 2009 Eric Christensen <sparks@fedoraproject.org> - 0.9-1
- Added Gnome features Dasher and Caribou. 
- Commented out dated information on how Red Hat and Fedora had or had not tested some of the FOSS solutions. 

* Mon Nov  9 2009 Eric Christensen <sparks@fedoraproject.org> - 0.8-1
- Modified the "screen readers" section. 
- Removed link to KMouseTools and it was broken. 

* Sun Nov  8 2009 Susan Lauber <laubersm@fedoraproject.org> - 0.7-1
- Various style edits (tense, spelling, etc.) 
- Added markup for menuitems 

* Sun Nov  8 2009 Eric Christensen <sparks@fedoraproject.org> - 0.6-1
- Created "Mouse Tools" section, moved KMouseTools to that section, and added Mousetweaks. 
- Added GNOME information in the "Desktops" section. 
- Added comments to Tools.xml for further editing. 

* Sat Nov  7 2009 Eric Christensen <sparks@fedoraproject.org> - 0.5-1
- Created "Other Tools" section and added BRLTTY, KMouth, and KMouseTool to that section. 
- Created "Screen Magnifiers" section and added KMagnifier. 
- Created "Desktops" section and added KDE. This section will include specific Desktop accessibility controls. 

* Wed Nov  4 2009 Eric Christensen <sparks@fedoraproject.org> - 0.4-1
- Combined Speakup and Emacspeak into the Screen Readers section. 

* Thu Aug 20 2009 Rüdiger Landmann <rlandmann@redhat.com> - 0.3-1
- Extra XML markup. 

* Thu Aug 20 2009 Eric Christensen <sparks@fedoraproject.org> - 0.2-1
- Updated links and added information on Emacspeak. 

* Thu Aug  6 2009 Eric Christensen <sparks@fedoraproject.org> - 0.1-1
- Publicanized all information in the Accessibility Guide 



